For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
      • DELDelete application
      • DELDelete application version
      • GETGet application by key
      • GETGet application versions by application key
      • GETGet applications
      • PATCHUpdate application
      • PATCHUpdate application version
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewApplications Beta

Get applications

Beta
GET
/api/v2/applications
GET
/api/v2/applications
$curl https://app.launchdarkly.com/api/v2/applications \
> -H "Authorization: <apiKey>"
1{
2 "_links": {},
3 "items": [
4 {
5 "autoAdded": true,
6 "key": "com.launchdarkly.cafe",
7 "kind": "mobile",
8 "name": "LaunchDarklyCafe",
9 "flags": {
10 "items": [
11 {
12 "name": "Example flag",
13 "key": "flag-key-123abc",
14 "_links": {},
15 "_site": {
16 "href": "string",
17 "type": "string"
18 }
19 }
20 ],
21 "totalCount": 1,
22 "_links": {}
23 },
24 "_access": {
25 "denied": [
26 {
27 "action": "string",
28 "reason": {
29 "effect": "allow",
30 "resources": [
31 "proj/*:env/*;qa_*:/flag/*"
32 ],
33 "notResources": [
34 "string"
35 ],
36 "actions": [
37 "*"
38 ],
39 "notActions": [
40 "string"
41 ],
42 "role_name": "string"
43 }
44 }
45 ],
46 "allowed": [
47 {
48 "action": "string",
49 "reason": {
50 "effect": "allow",
51 "resources": [
52 "proj/*:env/*;qa_*:/flag/*"
53 ],
54 "notResources": [
55 "string"
56 ],
57 "actions": [
58 "*"
59 ],
60 "notActions": [
61 "string"
62 ],
63 "role_name": "string"
64 }
65 }
66 ]
67 },
68 "_links": {},
69 "_version": 1,
70 "creationDate": 1654104600000,
71 "description": "The LaunchDarkly Cafe app",
72 "_maintainer": {
73 "member": {
74 "_links": {
75 "self": {
76 "href": "/api/v2/members/569f183514f4432160000007",
77 "type": "application/json"
78 }
79 },
80 "_id": "569f183514f4432160000007",
81 "role": "admin",
82 "email": "ariel@acme.com",
83 "firstName": "Ariel",
84 "lastName": "Flores"
85 },
86 "team": {
87 "customRoleKeys": [
88 "access-to-test-projects"
89 ],
90 "key": "team-key-123abc",
91 "name": "QA Team",
92 "_links": {}
93 }
94 }
95 }
96 ],
97 "totalCount": 1
98}
Get a list of applications. ### Expanding the applications response LaunchDarkly supports expanding the "Get applications" response to include additional fields. To expand the response, append the `expand` query parameter and include the following: * `flags` includes details on the flags that have been evaluated by the application For example, use `?expand=flags` to include the `flags` field in the response. By default, this field is **not** included in the response.
Was this page helpful?
Previous

Update application

Next
Built with

Get a list of applications.

Expanding the applications response

LaunchDarkly supports expanding the “Get applications” response to include additional fields.

To expand the response, append the expand query parameter and include the following:

  • flags includes details on the flags that have been evaluated by the application

For example, use ?expand=flags to include the flags field in the response. By default, this field is not included in the response.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

filterstringOptionalformat: "string"
Accepts filter by `key`, `name`, `kind`, and `autoAdded`. To learn more about the filter syntax, read [Filtering applications and application versions](https://launchdarkly.com/docs/api/applications-beta#filtering-applications-and-application-versions).
limitlongOptional
The number of applications to return. Defaults to 10.
offsetlongOptional

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

sortstringOptionalformat: "string"

Accepts sorting order and fields. Fields can be comma separated. Possible fields are creationDate, name. Examples: sort=name sort by names ascending, sort=-name,creationDate sort by names descending and creationDate ascending.

expandstringOptionalformat: "string"

A comma-separated list of properties that can reveal additional information in the response. Options: flags.

Response

Applications response
_linksmap from strings to objects
The location and content type of related resources
itemslist of objects
A list of applications
totalCountinteger
The number of applications

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Accepts filter by key, name, kind, and autoAdded. To learn more about the filter syntax, read Filtering applications and application versions.